Virtual Users And Domains With Postfix, Courier And MySQL - Quota patch fails

Discussion in 'HOWTO-Related Questions' started by grasomega, Sep 19, 2006.

Thread Status:
Not open for further replies.
  1. grasomega

    grasomega Member

    Hi everyone!

    I followed this how-to on debian and it works perfectly, except the quota patch.

    Here is what I did:

    apt-get install build-essential dpkg-dev fakeroot debhelper libdb4.2-dev libgdbm-dev libldap2-dev libpcre3-dev libmysqlclient10-dev libssl-dev libsasl2-dev postgresql-dev po-debconf dpatch

    cd /usr/src
    apt-get source postfix
    wget http://web.onda.com.br/nadal/postfix/VDA/postfix-2.1.5-trash.patch.gz
    tar xfz postfix_2.1.5.orig.tar.gz
    gunzip postfix-2.1.5-trash.patch.gz
    cd postfix-2.1.5
    patch -p1 < ../postfix-2.1.5-trash.patch
    dpkg-buildpackage

    Here is the error message:

    dpkg-parsechangelog: error: cannot open debian/changelog to find format: No such file or directory
    dpkg-buildpackage: unable to determine source package

    I tried to patch the source with the 2.1.5-9 diff.gz package, by doing:

    zcat postfix_2.1.5-9.diff.gz | patch -p0

    Everything went ok, but when building:

    ns1:/usr/src/postfix-2.1.5# dpkg-buildpackage
    dpkg-buildpackage: source package is postfix
    dpkg-buildpackage: source version is 2.1.5-9
    dpkg-buildpackage: source maintainer is LaMont Jones <[email protected]>
    dpkg-buildpackage: host architecture is i386
    debian/rules clean
    /usr/bin/dpkg-buildpackage: line 175: debian/rules: Permission denied

    The line 175 in debian/rules states:

    install debian/update-libc.d ${base}/etc/resolvconf/update-libc.d/postfix

    What next? I'm puzzled...

    Any help is appreciated.

    BTW, very nice How-To, Falko!
    Do you think that it can be done on Debian Etch? What would be the modifications to the configuration files (Postfix 2.2.x and dcc-client not included, I think).

    grasomega
     
  2. grasomega

    grasomega Member

    Come on!

    Someone can help me for sure!

    Please...
     
  3. grasomega

    grasomega Member

    I'm replying to myself, hehe..

    I managed to figure out what was wrong.
    After
    apt-get source postfix
    I accidentally deleted the Postfix-2.1.5 folder. Untar/gziping and patching to 2.1.5-9 didn't do the trick.
    So, I deleted everything in the folder, followed step-by-step the tutorial in that area and Voila! It's working.

    Thread closed

    grasomega
     
  4. falko

    falko Super Moderator ISPConfig Developer

    I've just come across this thread... Sometimes it takes a little bit longer... ;)
     
Thread Status:
Not open for further replies.

Share This Page